### Method

# Eog ListStore add_files

#### Declaration [src]

    void
    eog_list_store_add_files (
      EogListStore* store,
      GList* file_list
    )

#### Description [src]

Adds a list of `GFile`‘s to `store`. The given list must be `NULL`-terminated.

If any of the `GFile`‘s in `file_list` is a directory, all the images in that directory will be added to `store`. If the list of files contains only one file and this is a regular file, then all the images in the same directory will be added as well to `store`.

#### Parameters

`file_list`

  Type: A list of `None`

  A `NULL`-terminated list of `GFile`‘s.

  The data is owned by the caller of the function.